Facebook Notifier

Conky

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

1
Score 58.6%
Description:

Facebook Notifier is a simple screenlet for reading Facebook notifications , with the ability to visit the Facebook site, opening the right event notified.
- In this version the screenlet can just visualize notifications, but I think I will add even friend requests, messages and other stuff, in next releases.
- Languages supported: Italiano, English (UK). English(US), Español (it works for Español and Español(España)), Français (it works for Français(Canada) and Français(France)). You have to set the same language you use on Facebook
- It's an early version, any bug report or suggestion is welcome.
Last changelog:

8 years ago

0.3: More stable version (some bugs fixed, code improved), new languages added (English(US), Spanish and French) and new notifications reporting improved (now new notifications are reported even at screenlet startup)
0.2: New look, some bugs fixed, new notifications reporting introduced,
0.1: First release

sk8darr

8 years ago

hi! thnks for this screenlet but i have a problem. "Connection error: list index out of range " what's that? help me please

Report

Ne0WizArd

8 years ago

Hello

I Followed The README Step by step and cant get it going i get a error

Traceback (most recent call last):
File "FacebookNotifierScreenlet.py", line 4, in <module>
import screenlets
ImportError: No module named screenlets


When i Tried to Copy The Libs To /usr/lib/python2.6 i noticed that i only had python2.4 and python2.5 so i downloaded python2.6 and installed to /usr/local/lib/python2.6

can someone help me out here THANKS :)

Report

Sclegnrbs

8 years ago

Hi,
I am developer of Screenlets.

Maybe you would be interested in developing your code under the project https://launchpad.net/indiv-screenlets. Notice that Screenlets 0.1.3 has implemented the requirements check and with Debian package the dependencies would be installed automatically. This would make installing of the Screenlet as well as getting the updates a bit easier for the users. And if in the project, all the packaging would be done automatically by a script.

There is some documentation on this as well as connected topics at http://www.screenlets.org/index.php/Documentation#Why_should_I_add_my_Screenlet_to_individual_Screenlets_project

But if you can't upload your screenlet we can do this with pleasure if you allow this.

Report

C

BlackCase

8 years ago

Hi, your project is very interesting, but as I told in my last answer I'm not actually working on this screenlet. But you can upload it, if you want.. There's no problem for me.. ;)

Report

Flol12

8 years ago

Hey, first of all: This is a cool Widget and I'm very impressed!

And I have some suggestions for you to make it even better ;)

A button which says "Mark all Notifications as not new", A button for jumping at the newest notification and one button for deleting a notification from your screenlet

That's it, I hope I could help you developing this tool!

Report

C

BlackCase

8 years ago

Thanks a lot for your good suggestions! Actually I'm not working on this project because I'm very busy with my university and my job.. I hope I will start again workin' on it as soon as possible :) Bye!

Report

tzst

8 years ago

It shows "Connection error: combine()
argument 1 must be
datetime.date, not None"
How can I fix this?
Thanks!

Report

C

BlackCase

8 years ago

It's an error in date format.. Did you set the same language you are using on facebook?

Report

bmacf

8 years ago

It tells me that I don't have BeautifulSoup library installed. And I followed the ReadMe step by step. How can I solve the problem? Thanks!

Report

C

BlackCase

8 years ago

It's strange. Check if BeautifulSoup.py is correctly installed in /usr/lib/python2.6 after a system reboot. If it still doesn't work try to update python, probably you are not using 2.6 version or it's not the default version on your system.

Report

bmacf

8 years ago

Thanks dude! That was the problem, I had the libraries in the wrong directory.

Report

saylormoon

8 years ago

It seems to work good...nice theme, good programme for facebook users! :)

Report

C

BlackCase

8 years ago

Thanks :)

Report

8 years ago

0.3: More stable version (some bugs fixed, code improved), new languages added (English(US), Spanish and French) and new notifications reporting improved (now new notifications are reported even at screenlet startup)
0.2: New look, some bugs fixed, new notifications reporting introduced,
0.1: First release

12345678910
12
product-maker ubuntico Oct 05 2010 9 excellent
product-maker saylormoon Oct 04 2010 9 excellent
product-maker Padster Oct 04 2010 3 bad
product-maker Count: 4 Rating: 5.0
File (click to download) Version Description Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
0.3
updated Oct 25 2010
added Oct 04 2010
downloads 24h
0
page views 24h 2